using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AxesOverlapZoom
{
  public partial class Form1 : Form
  {
    private Syncfusion.Windows.Forms.Chart.ChartAxis _Y_Axis2 = new Syncfusion.Windows.Forms.Chart.ChartAxis();
    private Syncfusion.Windows.Forms.Chart.ChartAxis _Y_Axis3 = new Syncfusion.Windows.Forms.Chart.ChartAxis();

    public Form1()
    {
      InitializeComponent();

      chartControl1.PrimaryXAxis.Title = "Primary X-Axis";
      chartControl1.PrimaryYAxis.Title = "Primary Y-Axis";

      // Specify Y-Axis 2
      _Y_Axis2.Title = "Y-Axis 2";
      _Y_Axis2.OpposedPosition = true;
      _Y_Axis2.DrawGrid = false;
      _Y_Axis2.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Vertical;
      _Y_Axis2.RangePaddingType = Syncfusion.Windows.Forms.Chart.ChartAxisRangePaddingType.Calculate;
      _Y_Axis2.ForeColor = Color.Red;
      _Y_Axis2.TitleAlignment = StringAlignment.Center;
      this.chartControl1.Axes.Add(_Y_Axis2);

      // Specify Y-Axis 3
      _Y_Axis3.Title = "Y-Axis 3";
      _Y_Axis3.OpposedPosition = true;
      _Y_Axis3.TitleAlignment = StringAlignment.Center;
      _Y_Axis3.DrawGrid = false;
      _Y_Axis3.Orientation = Syncfusion.Windows.Forms.Chart.ChartOrientation.Vertical;
      _Y_Axis3.RangePaddingType = Syncfusion.Windows.Forms.Chart.ChartAxisRangePaddingType.Calculate;
      _Y_Axis3.ForeColor = Color.Blue;
      this.chartControl1.Axes.Add(_Y_Axis3);
    }

    private void button1_Click(object sender, EventArgs e)
    {
      const int UNKNOWN_OFFSET = 70; // Where does this offset come frome?
      const int ADDITIONAL_Y_AXIS_WIDTH = 100;
      const int ADDITIONAL_Y_AXIS_COUNT = 2;
      const int SPACING = 8;

      // Make space for additional Y-axes
      chartControl1.ChartArea.ChartAreaMargins.Right = ADDITIONAL_Y_AXIS_COUNT * (ADDITIONAL_Y_AXIS_WIDTH - UNKNOWN_OFFSET) + SPACING;

      // Set Y-Axis 2 position
      PointF origin;
      origin = new PointF(chartControl1.Width - ADDITIONAL_Y_AXIS_WIDTH - 8, chartControl1.PrimaryYAxis.Location.Y);
      _Y_Axis2.LocationType = Syncfusion.Windows.Forms.Chart.ChartAxisLocationType.Set;
      _Y_Axis2.Location = origin;

      // Set Y-Axis 3 position
      origin = new PointF(chartControl1.Width - 2 * ADDITIONAL_Y_AXIS_WIDTH - 8, chartControl1.PrimaryYAxis.Location.Y);
      _Y_Axis3.LocationType = Syncfusion.Windows.Forms.Chart.ChartAxisLocationType.Set;
      _Y_Axis3.Location = origin;
    }
  }
}